Std.shlib: Difference between revisions
Jump to navigation
Jump to search
No edit summary |
(→GitHub) |
||
(5 intermediate revisions by the same user not shown) | |||
Line 2: | Line 2: | ||
* [[Projects#Projects|Projects]] | * [[Projects#Projects|Projects]] | ||
=Overview= | |||
Common bash functionality, such as <tt>fail</tt> and <tt>debug</tt>, and the logic to parse the corresponding command line switches. | |||
=GitHub= | =GitHub= | ||
Line 8: | Line 12: | ||
:<br>https://github.com/NovaOrdis/std.shlib<br><br> | :<br>https://github.com/NovaOrdis/std.shlib<br><br> | ||
</blockquote> | </blockquote> | ||
=Version= | |||
<pre> | |||
std_shlib_version=1 | |||
</pre> | |||
Each change must be followed by a version increment. | |||
=Integration= | |||
<pre> | |||
f=$(dirname $0)/std.shib; [ -f ${f} ] && . ${f} || { echo "${f} not found" 1>&2; exit 1; } | |||
function main() { | |||
process-common-arguments $@ | |||
for i in ${args}; do | |||
# process remaining parameters as ${i} | |||
done | |||
} | |||
main $@ | |||
</pre> |
Latest revision as of 09:54, 4 April 2016
Internal
Overview
Common bash functionality, such as fail and debug, and the logic to parse the corresponding command line switches.
GitHub
Version
std_shlib_version=1
Each change must be followed by a version increment.
Integration
f=$(dirname $0)/std.shib; [ -f ${f} ] && . ${f} || { echo "${f} not found" 1>&2; exit 1; } function main() { process-common-arguments $@ for i in ${args}; do # process remaining parameters as ${i} done } main $@